Permalink
Browse files

[CORE] Update seed (#71)

[CORE] Update seed
- Switch to scoped clarity packages (v0.11.0)
- Closes #70
- Update readme
- Adds package-lock.json 
- Fixes to minor versions of angular 5.0.0

Signed-off-by: Matt Hippely <mhippely@vmware.com>
  • Loading branch information...
hippee-lee committed Dec 19, 2017
1 parent b785eb8 commit 68ad0281c6137eb46156d4008da8003336e2b02c
@@ -18,15 +18,15 @@
"prefix": "app",
"mobile": false,
"styles": [
"../node_modules/clarity-icons/clarity-icons.min.css",
"../node_modules/clarity-ui/clarity-ui.min.css",
"../node_modules/@clr/icons/clr-icons.min.css",
"../node_modules/@clr/ui/clr-ui.min.css",
"styles.css"
],
"scripts": [
"../node_modules/core-js/client/shim.min.js",
"../node_modules/mutationobserver-shim/dist/mutationobserver.min.js",
"../node_modules/@webcomponents/custom-elements/custom-elements.min.js",
"../node_modules/clarity-icons/clarity-icons.min.js",
"../node_modules/@clr/icons/clr-icons.min.js",
"../node_modules/web-animations-js/web-animations.min.js"
],
"environmentSource": "environments/environment.ts",
View
@@ -7,5 +7,4 @@ typings/
**/*yarn-error.log.*
.idea/
.DS_Store
package-lock.json
.npmrc
View
@@ -1,6 +1,6 @@
language: node_js
node_js:
- "7.1"
- "8.9.3"
sudo: required
dist: trusty
View
@@ -19,7 +19,7 @@ Getting started
This seed version provides the following out of the box:
- Angular 2 application with [clarity-icons](https://www.npmjs.com/package/clarity-icons), [clarity-ui](https://www.npmjs.com/package/clarity-ui) and [clarity-angular](https://www.npmjs.com/package/clarity-angular) included
- Angular 2 application with [@clr/icons](https://www.npmjs.com/package/@clr/icons), [@clr/ui](https://www.npmjs.com/package/@clr/ui) and [@clr/angular](https://www.npmjs.com/package/@clr/angular) included
- Development and production builds
- Unit test setup with Jasmine and Karma
- End-to-end test setup with Protractor
View
@@ -32,7 +32,7 @@ module.exports = function (config) {
fixWebpackSourcePaths: true
},
angularCli: {
config: './angular-cli.json',
config: './.angular-cli.json',
environment: 'dev'
},
reporters: config.angularCli && config.angularCli.codeCoverage
Oops, something went wrong.

0 comments on commit 68ad028

Please sign in to comment.